Name: pnm2ppa
Summary: Drivers for printing to HP PPA printers
%define date 20000120
Serial: 1
Obsoletes: ppa
Version: 0.8.9pre1
Release: 1
URL: http://www.sourceforge.net/projects/?group_id=1322 
Source: http://download.sourceforge.net/pnm2ppa/pnm2ppa-%{date}.tar.gz
Source1: http://www.httptech.com/ppa/files/ppa-0.8.6.tar.gz
Patch: pnm2ppa-20000120-20000208.diff
Patch1: pnm2ppa-config.diff
Patch2: pbm2ppa-20000205.diff
Patch3: pnm2ppa-rh.patch
Copyright: GPL
Group: Applications/Publishing
Buildroot: /var/tmp/pnm2ppa-buildroot
%define topdir pnm2ppa

%description
pnm2ppa is a color driver for HP PPA host-based printers such
as the HP710C, 712C, 720C, 722C, 820Cse, 820Cxi, 1000Cse, and 1000Cxi.
It accepts ghostscript output in PPM format, and sends it to the printer
in PPA format.

Install pnm2ppa if you have a PPA printer and need to print.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}
# pnm2ppa cvs updates
%patch -p1
# patch pnm2ppa.conf
%patch1 -p1

#pbm2ppa source
%setup -T -D -a 1 -n %{topdir}
%patch2 -p0
%patch3 -p1 -b .rh

%build
make 
cd pbm2ppa-0.8.6
make


%install
install -d $RPM_BUILD_ROOT/usr/man/man1
install -m 0644  docs/en/pnm2ppa.1 $RPM_BUILD_ROOT/usr/man/man1

install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/etc
make INSTALLDIR=$RPM_BUILD_ROOT/usr/bin CONFDIR=$RPM_BUILD_ROOT/etc install

install -m 0755 utils/Linux/detect_ppa $RPM_BUILD_ROOT/usr/bin/
install -m 0755 utils/Linux/test_ppa $RPM_BUILD_ROOT/usr/bin/
install -m 0755 pbm2ppa-0.8.6/pbm2ppa  $RPM_BUILD_ROOT/usr/bin/
install -m 0755 pbm2ppa-0.8.6/pbmtpg   $RPM_BUILD_ROOT/usr/bin/
install -m 0755 pbm2ppa-0.8.6/pbm2ppa.conf   $RPM_BUILD_ROOT/etc
install -m 0755 pbm2ppa-0.8.6/pbm2ppa.1   $RPM_BUILD_ROOT/usr/man/man1

chmod 644 docs/en/LICENSE
mkdir -p pbm2ppa
for file in CALIBRATION CREDITS INSTALL INSTALL-MORE LICENSE README ; do
  install -m 0644 pbm2ppa-0.8.6/$file pbm2ppa/$file
done

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%doc docs/en/CALIBRATION docs/en/CREDITS docs/en/INSTALL
%doc docs/en/INSTALL.REDHAT.txt docs/en/LICENSE docs/en/README
%doc docs/en/RELEASE-NOTES docs/en/TODO
%doc pbm2ppa
/usr/bin/pnm2ppa
/usr/bin/pbm2ppa
/usr/bin/pbmtpg
/usr/bin/calibrate
/usr/bin/test_ppa
/usr/bin/detect_ppa
/usr/man/man1/pnm2ppa.1*
/usr/man/man1/pbm2ppa.1*
%config /etc/pnm2ppa.conf
%config /etc/pbm2ppa.conf

%changelog
* Thu Feb 10 2000 Bill Nottingham <notting@redhat.com>
- adopt upstream package

* Sun Feb 6 2000 <duncan_haldane@users.sourceforge.net>
- new pnm2ppa release,  and add pbm2ppa driver.

* Thu Jan 7 2000 <duncan_haldane@users.sourceforge.net>
- created rpm
